## ros-one-visualization-marker-tutorials 0.11.0-6jammy.20251023.0020

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(visualization_marker_tutorials)

find_package(catkin REQUIRED COMPONENTS roscpp visualization_msgs)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need

catkin_package(
  CATKIN_DEPENDS roscpp visualization_msgs
)

###########
## Build ##
###########

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

add_executable(basic_shapes src/basic_shapes.cpp)
target_link_libraries(basic_shapes
   ${catkin_LIBRARIES}
)

add_executable(points_and_lines src/points_and_lines.cpp)
target_link_libraries(points_and_lines
   ${catkin_LIBRARIES}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS 
  basic_shapes
  points_and_lines
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-visualization-marker-tutorials (0.11.0-6jammy.20251023.0020) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 23 Oct 2025 00:20:27 +0000

ros-one-visualization-marker-tutorials (0.11.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.10.4-0jammy) jammy; urgency=high

  * Updated required CMake version to avoid CMP0048 warning (#57 <https://github.com/ros-visualization/visualization_tutorials/issues/57>)
  * Updated to use ``ros::Duration`` for sleeping to gain cross-platform support (#48 <https://github.com/ros-visualization/visualization_tutorials/issues/48>)
  * Contributors: Alejandro Hernández Cordero, Sean Yen [MSFT]

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.10.3-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 09 May 2018 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.10.2-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.10.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.10.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.9.2-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 21 Sep 2015 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.9.1-0jammy) jammy; urgency=high

  * Now checks number of subscribers before publishing any markers.
  * Documented the new DELETEALL feature.
  * Contributors: Dave Coleman, Victor Lamoine

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Jan 2015 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.9.0-0jammy) jammy; urgency=high

  * set myself (william) as maintainer
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Mar 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-visualization-marker-tutorials
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-roscpp, ros-one-visualization-msgs
Homepage: http://ros.org/wiki/visualization_marker_tutorials
Standards-Version: 3.9.2

Package: ros-one-visualization-marker-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-roscpp, ros-one-visualization-msgs
Description: The visulalization_marker_tutorials package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-visualization-marker-tutorials//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-visualization-marker-tutorials 0.11.0-6jammy.20260220.2119

=== debian/changelog ===
ros-one-visualization-marker-tutorials (0.11.0-6jammy.20260220.2119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 20 Feb 2026 21:19:56 +0000

## ros-one-visualization-marker-tutorials 0.11.0-6noble.20251023.0019

=== debian/changelog ===
ros-one-visualization-marker-tutorials (0.11.0-6noble.20251023.0019) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 23 Oct 2025 00:19:20 +0000

ros-one-visualization-marker-tutorials (0.11.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.10.4-0noble) noble; urgency=high

  * Updated required CMake version to avoid CMP0048 warning (#57 <https://github.com/ros-visualization/visualization_tutorials/issues/57>)
  * Updated to use ``ros::Duration`` for sleeping to gain cross-platform support (#48 <https://github.com/ros-visualization/visualization_tutorials/issues/48>)
  * Contributors: Alejandro Hernández Cordero, Sean Yen [MSFT]

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.10.3-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 09 May 2018 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.10.2-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.10.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.10.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.9.2-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 21 Sep 2015 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.9.1-0noble) noble; urgency=high

  * Now checks number of subscribers before publishing any markers.
  * Documented the new DELETEALL feature.
  * Contributors: Dave Coleman, Victor Lamoine

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Jan 2015 00:00:00 -0000

ros-one-visualization-marker-tutorials (0.9.0-0noble) noble; urgency=high

  * set myself (william) as maintainer
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Mar 2014 00:00:00 -0000

## ros-one-visualization-marker-tutorials 0.11.0-6noble.20260220.2126

=== debian/changelog ===
ros-one-visualization-marker-tutorials (0.11.0-6noble.20260220.2126) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 20 Feb 2026 21:26:26 +0000
